program Agl;
uses crt,graph;
const e=1e-8;
  High=440;
  Width=610;
  t1 :array[1..7] of real=(0.0,1326.31,710.52,189.47,47.36,31.57,28.42);
  s1 :array[1..7] of real=(0.0,18.0,53.4,120.0,180.0,390.0,540.0);
  t10:array[1..10] of real=(30.0,94.73,129.47,394.73,710.52,1200.0,363.15,157.89,59.99,28.42);
  s10:array[1..10] of real=(0.0,4.8,12.0,18.0,30.0,45.0,126.0,180.0,240.0,540.0);
  t15:array[1..11] of real=(30.0,78.94,129.47,394.73,710.52,1184.21,615.0,268.42,126.31,31.57,28.42);
  s15:array[1..11] of real=(0.0,9.0,18.6,36.0,53.4,60.0,120.0,180.0,240.0,390.0,540.0);
  t80:array[1..8] of real=(30.0,60.0,45.0,47.36,394.73,1357.89,757.89,221.05);
  s80:array[1..8] of real=(0.0,15.0,60.0,195.0,240.0,246.0,396.0,540.0);
  t160:array[1..9] of real=(30.0,60.0,45.0,47.36,31.57,91.57,742.1,1436.84,1152.63);
  s160:array[1..9] of real=(0.0,15.0,60.0,195.0,390.0,432.0,459.0,480.0,540.0);
  tsl:array[1..7] of real=(0.0,1326.31,1200.0,1184.21,1263.1578,1357.89,1436.84);
  ssl:array[1..7] of real=(0.0,18.0,45.0,60.0,126.0,246.0,480.0);
var
  graphdriver,errorcode,graphmode:integer;
  x,y,xn,xk,TextX,TextY,dX,dY:real;
  minX,maxX,minY,maxY,scaleX,scaleY:real;
  LineY,LineX:integer;
  Text:string[10];
  i:byte;
procedure NameGr;
begin
  setcolor(white);
  OutTextXY(170,High+30,' ஢  ᯥ ');
  OutTextXY(580,High+30,'६, c');
  OutTextXY(0,10,'T,C')
end;
procedure PaintGraph;
begin
  x:=s1[1];
  setcolor(2);
  setlinestyle(SolidLn, 0, NormWidth);
  moveto(round((x-minX)*scaleX)+15,High+4-round((t1[1]-minY)*scaleY));
  for i:=1 to 7 do
     lineto(round((s1[i]-minX)*scaleX)+15,High+4-round((t1[i]-minY)*scaleY));
  delay(1000);
  x:=s10[1];
  moveto(round((x-minX)*scaleX)+15,High+4-round((t10[1]-minY)*scaleY));
  for i:=1 to 10 do
     lineto(round((s10[i]-minX)*scaleX)+15,High+4-round((t10[i]-minY)*scaleY));
  delay(1000);
  x:=s15[1];
  moveto(round((x-minX)*scaleX)+15,High+4-round((t15[1]-minY)*scaleY));
  for i:=1 to 11 do
     lineto(round((s15[i]-minX)*scaleX)+15,High+4-round((t15[i]-minY)*scaleY));
  delay(1000);
  x:=s80[1];
  moveto(round((x-minX)*scaleX)+15,High+4-round((t80[1]-minY)*scaleY));
  for i:=1 to 8 do
     lineto(round((s80[i]-minX)*scaleX)+15,High+4-round((t80[i]-minY)*scaleY));
  delay(1000);
  x:=s160[1];
  moveto(round((x-minX)*scaleX)+15,High+4-round((t160[1]-minY)*scaleY));
  for i:=1 to 9 do
     lineto(round((s160[i]-minX)*scaleX)+15,High+4-round((t160[i]-minY)*scaleY));
  delay(1000);
  setcolor(Yellow);
  x:=ssl[1];
  moveto(round((x-minX)*scaleX)+15,High+4-round((tsl[1]-minY)*scaleY));
  for i:=1 to 7 do
     lineto(round((ssl[i]-minX)*scaleX)+15,High+4-round((tsl[i]-minY)*scaleY));
end;
procedure Scale;
begin
  x:=s160[1];y:=t160[1];
  minX:=s160[1]; minY:=t160[1];
  maxX:=s160[1] ; maxY:=t160[1];
  for i:=1 to 9 do
    begin
      if s160[i]<minX then minX:=s160[i]
        else
          if s160[i]>maxX then maxX:=s160[i];
      if t160[i]<minY then minY:=t160[i]
        else
          if t160[i]>maxY then maxY:=t160[i];
    end;
  scaleX:=Width/(maxX-minX);
  scaleY:=High/(maxY-minY);
end;
procedure graphinit;
begin
  graphdriver:=detect;
  initgraph(graphdriver,graphmode,'a:\');
  errorcode:=graphresult;
  if errorcode<>grok then
     begin
       writeln('Error BGI');
       halt(1);
     end;
end;
procedure LineGor;
begin
  setcolor(red);
  setlinestyle(SolidLn, 0, ThickWidth);
  line(15,High+10,Width+15,High+10);
end;
procedure LineVert;
begin
  setcolor(red);
  setlinestyle(SolidLn, 0, ThickWidth);
  line(15,0,15,High+round(10*High/440));
end;
procedure setgor;
var
  i:word;
begin
  setlinestyle(3,1,2);
  SetTextStyle(SmallFont,HorizDir,0);
  TextY:=MaxY;
  dY:=abs(MaxY-MinY)/round(10*High/440);
  for i:=0 to round(10*High/440) do
    begin
      setcolor(7);
      line(10,i*45,Width+15,i*45);
      str(TextY:3:1,Text);
      setcolor(White);
      if abs(TextY)<e then OutTextXY(LineX+25,i*45,'')
        else OutTextXY(LineX+25,i*45,Text);
      TextY:=TextY-dY;
    end
end;
procedure setver;
var
  i:word;
begin
  setcolor(7);
  setlinestyle(3,1,2);
  SetTextStyle(SmallFont, HorizDir,0);
  TextX:=s1[1];
  dX:=abs(s1[7]-s1[1])/round(12*Width/610);
  for i:=0 to round(12*Width/610) do
    begin
      setcolor(7);
      line(i*51+15,0,i*51+15,High+round(10*High/440));
      str(TextX:2:1,Text);
      setcolor(White);
      OutTextXY(i*51,High+10,Text);
      TextX:=TextX+dX;
    end
end;
begin
  clrscr;
  Scale;
  Graphinit;
  Setgor;
  Setver;
  Linegor;
  Linevert;
  Paintgraph;
  NameGr;
  readkey;
  closegraph;
end.
